summaryrefslogtreecommitdiffstats
path: root/libraries/libwacom
diff options
context:
space:
mode:
author Edinaldo P. Silva2016-12-13 11:03:02 +0100
committer Willy Sudiarto Raharjo2016-12-13 11:03:02 +0100
commit6217361be4cf207f9c434e97076a46d82189bbeb (patch)
treecbaa39a4a8cf894df7ff43623e694d3a4becce9f /libraries/libwacom
parente5cc4ee0e2fc4551754c2c9c12d1568eb64dbe8b (diff)
downloadslackbuilds-6217361be4cf207f9c434e97076a46d82189bbeb.tar.gz
libraries/libwacom: Added (Library to identify Wacom tablets).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libwacom')
-rw-r--r--libraries/libwacom/README5
-rw-r--r--libraries/libwacom/libwacom.SlackBuild97
-rw-r--r--libraries/libwacom/libwacom.info10
-rw-r--r--libraries/libwacom/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/libwacom/README b/libraries/libwacom/README
new file mode 100644
index 0000000000..049ab48505
--- /dev/null
+++ b/libraries/libwacom/README
@@ -0,0 +1,5 @@
+libwacom (Library to identify Wacom tablets and their features)
+
+Manages the libraries, configuration, and diagnostic tools for Wacom
+tablets running under Linux. It also maintains updated Linux kernel
+drivers and Xorg/XFree86 XInput drivers.
diff --git a/libraries/libwacom/libwacom.SlackBuild b/libraries/libwacom/libwacom.SlackBuild
new file mode 100644
index 0000000000..b88b00ec19
--- /dev/null
+++ b/libraries/libwacom/libwacom.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+#
+# Slackware build script for libwacom.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libwacom
+VERSION=${VERSION:-0.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libwacom/libwacom.info b/libraries/libwacom/libwacom.info
new file mode 100644
index 0000000000..f65989a689
--- /dev/null
+++ b/libraries/libwacom/libwacom.info
@@ -0,0 +1,10 @@
+PRGNAM="libwacom"
+VERSION="0.22"
+HOMEPAGE="https://sourceforge.net/projects/linuxwacom/"
+DOWNLOAD="https://sourceforge.net/projects/linuxwacom/files/libwacom/libwacom-0.22.tar.bz2"
+MD5SUM="524162e0b2f1f536ccd54f03a7df39ac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/libraries/libwacom/slack-desc b/libraries/libwacom/slack-desc
new file mode 100644
index 0000000000..a8085d17e2
--- /dev/null
+++ b/libraries/libwacom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libwacom: libwacom (Library to identify Wacom tablets and their features)
+libwacom:
+libwacom: Manages the libraries, configuration, and diagnostic tools for Wacom
+libwacom: tablets running under Linux. It also maintains updated Linux kernel
+libwacom: drivers and Xorg/XFree86 XInput drivers.
+libwacom:
+libwacom: Home Page: https://sourceforge.net/projects/linuxwacom/
+libwacom:
+libwacom:
+libwacom:
+libwacom: